rgl.select {rgl} | R Documentation

## Switch to select mode, and return the mouse position selected.

### Description

Mostly for internal use, this function temporarily installs a handler on a button of the mouse that will return the mouse coordinates of one click and drag rectangle.

### Usage

    rgl.select(button = c("left", "middle", "right"))

### Arguments

`button` | Which button to use?

### Value

A vector of four coordinates: the X and Y coordinates of the start and end of the dragged rectangle.

### Author(s)

Duncan Murdoch

### See Also

`rgl.select3d`, a version that allows the selection region to be used to select points in the scene.

[Package rgl version 0.99.16 Index]